package com.flyfish.framework.logging.domain;

import com.flyfish.framework.domain.base.Domain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

/**
 * 日志集合
 */
@Document
@Data
@EqualsAndHashCode(callSuper = true)
public class Log extends Domain {

    // 业务
    private String business;

    // 模块
    private String module;

    // 方法签名
    private String signature;

    // 请求地址
    private String uri;

    // 请求参数
    private String body;

    // 响应结果
    private String response;

    // 错误详情
    private String error;

    // 操作耗时
    private Long period;

    // 操作时间
    private Date startTime;

    // 完成时间
    private Date endTime;

    // 操作人
    private String operator;

    // 访问ip
    private String ip;

    // 成功与否
    private Boolean success;
}
