package com.flyfish.framework.domain;

import com.flyfish.framework.utils.StrengthUtils;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * 修改密码dto
 * @author wangyu
 */
@Getter
@Setter
public class UserPasswordDto {

    @NotBlank(message = "旧密码不可为空！")
    private String oldPassword;

    @NotBlank(message = "新密码不可为空！")
    @Pattern(regexp = StrengthUtils.PATTERN, message = "密码强度不够，至少应该包含数字、大小写字母、符号组合！")
    private String password;
}
