package com.flyfish.framework.domain;

import com.flyfish.framework.builder.CriteriaBuilder;
import com.flyfish.framework.domain.base.NameLikeQo;
import com.flyfish.framework.domain.po.User;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserQo extends NameLikeQo<User> {

    private String type;

    private String username;

    private String password;

    private String phone;

    private String status;

    @Override
    public CriteriaBuilder<User> criteriaBuilder() {
        return super.criteriaBuilder().with("type", "username", "password", "phone", "status");
    }
}
