package com.flyfish.framework.utils;

import java.util.regex.Pattern;

/**
 * 密码强度工具
 *
 * @author wangyu
 */
public abstract class StrengthUtils {

    public static final String PATTERN = "^(?![a-zA-z]+$)(?!\\d+$)(?![,.!?~`_+=@#$%^&*;<>':]+$)(?![a-zA-z\\d]+$)(?![a-zA-z,.!?~`_+=@#$%^&*;<>':]+$)(?![\\d,.!?~`_+=@#$%^&*;<>':]+$)[a-zA-Z\\d,.!?~`_+=@#$%^&*;<>':]{8,16}$";

    /**
     * 此处传入密码明文判定密码可用性
     *
     * @param password 密码
     * @return 结果
     */
    public static boolean isValid(String password) {
        return LazyHolder.validRegex.matcher(password).matches();
    }

    private static class LazyHolder {
        private static final Pattern validRegex = Pattern.compile(PATTERN);
    }
}
