package com.flyfish.framework.beans.annotations;

import com.flyfish.framework.config.BeanConfig;
import com.flyfish.framework.config.RestBeanAutoConfigure;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * 启动rest bean的扫描
 * @author wangyu
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Import({RestBeanAutoConfigure.class, BeanConfig.class})
public @interface EnableRestBeanDetect {

    /**
     * 扫描的基本路径
     * @return 结果
     */
    String[] basePackages() default "com.flyfish.project";
}
